> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite Prop Traders

> Bulk-provisions up to 100 prop traders (person, role, contractor, onboarding request) and emails invites with per-row outcomes.

Not available to API keys yet. It will need `people:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/invite-prop-traders
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/invite-prop-traders:
    post:
      operationId: invitePropTraders
      summary: Invite Prop Traders
      description: >-
        Bulk-provisions up to 100 prop traders (person, role, contractor,
        onboarding request) and emails invites with per-row outcomes.


        Not available to API keys yet. It will need `people:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvitePropTradersRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvitePropTradersResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    InvitePropTradersRequest:
      type: object
      properties:
        invites:
          type: array
          items:
            type: object
            properties:
              email:
                type: string
                format: email
              givenName:
                type: string
                minLength: 1
                maxLength: 120
              familyName:
                type: string
                minLength: 1
                maxLength: 120
              countryCode:
                type: string
                minLength: 2
                maxLength: 2
            required:
              - email
              - givenName
              - familyName
              - countryCode
          minItems: 1
          maxItems: 100
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it

            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
      required:
        - invites
    InvitePropTradersResponse:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              email:
                type: string
              roleInOrgID:
                type:
                  - string
                  - 'null'
              outcome:
                type: string
                enum:
                  - INVITED
                  - RESENT
                  - ALREADY_ONBOARDED
                  - DUPLICATE
                  - PROVISION_FAILED
                  - DELIVERY_FAILED
              reason:
                type:
                  - string
                  - 'null'
              reasonCode:
                type:
                  - string
                  - 'null'
                enum:
                  - EMAIL_MULTIPLE_ACCOUNTS
                  - EMAIL_IN_OTHER_ORG
                  - EMAIL_UNAVAILABLE
                  - MULTIPLE_WORKER_SEATS
                  - SEAT_INACTIVE
                  - ALREADY_WORKER_IN_ORG
                  - UNSUPPORTED_COUNTRY
                  - EMAIL_NOT_SENT
                  - ARCHIVED_ORG
                  - TRANSIENT
                  - null
            required:
              - email
              - roleInOrgID
              - outcome
              - reason
              - reasonCode
      required:
        - results
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
